//
//  SelectorScreen.h
//  PokktSample
//
//  Created by Pankaj Kumar on 22/04/15.
//
//

#ifndef __PokktSample__SelectorScreen__
#define __PokktSample__SelectorScreen__

#include "scene.h"
#include "PCPokktConfig.h"
#include "PCPokktDelegate.h"

using namespace pokkt;

class SelectorScreen : public Scene, public PCPokktInitializedDelegate, public PCPokktBannerAdDelegate
{
private:
    CSprite* initializeBtn;
    CSprite* testRewardBtn;
    CSprite* testNonRewardBtn;
    CSprite* offerwallBtn;
    CSprite* showBannerBtn;
    bool isPokktReady;
    
    virtual void handlePokktInitialized(std::string message, bool isReady);
    
    virtual void handleBannerLoaded(std::string screenName, std::string message);
    virtual void handleBannerLoadFailed(std::string screenName, std::string message);
    
    void initPokkt();
    static PCPokktConfig *pokktConfig;

public:
    SelectorScreen();
    ~SelectorScreen();
    
    //
    void Init();
    void Update(float deltaTime = 0.0f, float alphaMul = 1.0f);
    void Render();
};

#endif /* defined(__PokktSample__SelectorScreen__) */
