
import org.json.JSONObject;

import com.app.pokktsdk.delegates.PokktInitDelegate;
import com.app.pokktsdk.util.Logger;

public class PokktAdInitDelegate implements PokktInitDelegate {

    @Override
    public void onPokktInitialised(boolean isReady, String message) {
    	try {
    		Logger.d("[POKKT-JAVA]: onPokktInitialised: " + Boolean.toString(isReady));
	    	JSONObject jsonObject = new JSONObject();
	    	jsonObject.put("isReady", Boolean.toString(isReady));
	    	jsonObject.put("message", message);
	        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.POKKT_INITIALISED_EVENT, jsonObject.toString());
    	} catch(Exception e) {
    		e.printStackTrace();
    	}
    }

}
