/*
 * (C) 2001-2012 Marmalade. All Rights Reserved.
 *
 * This document is protected by copyright, and contains information
 * proprietary to Marmalade.
 *
 * This file consists of source code released by Marmalade under
 * the terms of the accompanying End User License Agreement (EULA).
 * Please do not use this program/source code before you have read the
 * EULA and have agreed to be bound by its terms.
 */

#include "resources.h"
#include "Iw2D.h"


Resources::Resources()
{
    // Load images
    ScreenBG = Iw2DCreateImage("textures/bg.png");
    Logo = Iw2DCreateImage("textures/pokkt_logo.png");
    PurpleButton = Iw2DCreateImage("textures/purple.png");
    BlueButton = Iw2DCreateImage("textures/blue.png");
    // Load fonts
    Font = Iw2DCreateFont("fonts/arial14.gxfont");
}

Resources::~Resources()
{
    delete ScreenBG;
    delete Logo;
    delete PurpleButton;
    delete BlueButton;
    delete Font;
}

// Global resources
Resources* g_pResources = 0;



